<?php
if (JRequest::getVar("idBolla")) {
    $item = $this->getModel("Bolle")->getBolla(JRequest::getVar("idBolla"));
}

$province = redstampHelper::get_province();
$ragioniSocial = redstampHelper::get_ragionisociali();

?>

<form name='add-bolla' method='POST' ation='' class="form-validate">
    <div class='row'>
        <div class="clearfix">
            <div class="col-sm-12 control-group has-icon">
                <select name="idAnagrafica" class="required has-icon-left">
                    <option value="" <?php echo (!$item->idAnagrafica ? "selected='selected'" : "") ?>disabled><?php echo JText::_("COM_REDSTAMP_RAGIONESOCIALE") ?></option>
                    <?php if ($ragioniSocial) { ?>
                        <?php foreach ($ragioniSocial as $company) { ?>
                            <option value="<?php echo $company->idAnagrafica ?>" <?php echo ($item->idAnagrafica == $company->idAnagrafica ? "selected='selected'" : null) ?> data-iva="<?php echo addslashes($company->iva) ?>" data-indirizzo="<?php echo addslashes($company->indirizzo) ?>" data-comune="<?php echo addslashes($company->comune) ?>" data-provincia="<?php echo addslashes($company->provincia) ?>" data-cap="<?php echo addslashes($company->cap) ?>"><?php echo $company->ragioneSociale ?></option>
                        <?php } ?>
                    <?php } ?>
                </select>
                <i class="fa fa-building control-group-icon"></i>
            </div>
        </div>
        <div class="clearfix" style="padding-top: 15px;">
            <div class="col-sm-3 control-group has-icon">
                <input name="indirizzo" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_INDIRIZZO") ?> *" value="<?php echo $item->indirizzo ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="col-sm-3 control-group has-icon">
                <input name="comune" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_COMUNE") ?> *" value="<?php echo $item->comune ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="col-sm-3 control-group has-icon">
                <input name="cap" type="text" class="required has-icon-left" placeholder="<?php echo JText::_("COM_REDSTAMP_CAP") ?> *" value="<?php echo $item->cap ?>">
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
            <div class="col-sm-3 control-group has-icon" >
                <select name="provincia" class="required has-icon-left">
                    <option value="" selected disabled><?php echo JText::_("COM_REDSTAMP_PROVINCIA") ?> *</option>
                    <?php foreach ($province as $cod => $prov) { ?>
                        <option value="<?php echo $cod ?>" <?php echo ($cod == $item->provincia ? "selected='selected'" : null) ?>><?php echo $prov ?></option>
                    <?php } ?>
                </select>
                <i class="fa fa-map-marker control-group-icon"></i>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <div class="col-sm-12">
                <div id="indirizziSpedizione">
                    <div class='row'>
                        <div class="clearfix">
                            <section class="items col-sm-12">
                                <h5><?php echo JText::_("COM_REDSTAMP_INDIRIZZIAGGIUNTIVI") ?></h5>
                                <?php if ($item->indirizzi) { ?>

                                    <select name="indirizzoSpedizione">
                                        <option value="0">- seleziona indirizzo di spezione diverso </option>
                                        
                                        <?php foreach ($item->indirizzi as $indirizzo) { ?>
                                            <option value="<?php echo $indirizzo->idIndirizzo; ?>" <?php echo ($indirizzo->idIndirizzo==$item->idIndrizzoSpedizione) ? "selected='selected'": 'null'; ?>><?php echo $indirizzo->ragioneSociale ?> - <?php echo $indirizzo->indirizzo ?> - <?php echo $indirizzo->comune ?></option>
                                        <?php } ?>
                                    </select>
                                <?php } ?>
                            </section>
                        </div>
                    </div>
                    <style>
                        section.items > div {padding-top: 15px;}
                        section.items > div:first-of-type .btn-danger {display: none}
                        section.items > div .btn-success {display: none}
                        section.items > div:last-of-type .btn-success {display: inline}
                        hr {margin-left: 15px; margin-right: 15px;}
                    </style>
                </div>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <section class="items col-sm-12">
                <h5><?php echo JText::_("COM_REDSTAMP_PRODOTTI") ?></h5>
                <?php if ($item->prodotti) { ?>
                    <?php foreach ($item->prodotti as $prodotto) { ?>
                        <div class="element">
                            <div class="row">
                                <div class="col-sm-6 control-group "><input type='text' name='prodotto[]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME_PRODOTTO") ?>" value="<?php echo $prodotto['prodotto'] ?>"/></div>
                                <div class="col-sm-2 control-group "><input type='text' name='costo[]' placeholder="<?php echo JText::_("COM_REDSTAMP_COSTO") ?>" value="<?php echo $prodotto['costo'] ?>"/></div>
                                <div class="col-sm-2 control-group "><input type='text' name='quantita[]' placeholder="<?php echo JText::_("COM_REDSTAMP_QUANTITA") ?>" value="<?php echo $prodotto['quantita'] ?>"/></div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_PRODOTTO") ?>"></button></div>
                                <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_PRODOTTO") ?>"></button></div>
                            </div>
                        </div>
                    <?php } ?>
                <?php } ?>
                <div class="element">
                    <div class="row">
                        <div class="col-sm-6 control-group "><input type='text' name='prodotto[]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME_PRODOTTO") ?>" /></div>
                        <div class="col-sm-2 control-group "><input type='text' name='costo[]' placeholder="<?php echo JText::_("COM_REDSTAMP_COSTO") ?>" /></div>
                        <div class="col-sm-2 control-group "><input type='text' name='quantita[]' placeholder="<?php echo JText::_("COM_REDSTAMP_QUANTITA") ?>" /></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_PRODOTTO") ?>"></button></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_PRODOTTO") ?>"></button></div>
                    </div>
                </div>
            </section>
        </div>
        <hr>
        <div class="clearfix">
            <div class="col-sm-9 control-group">
                <textarea name="note" placeholder="<?php echo JText::_("COM_REDSTAMP_NOTE_SPEDIZIONE") ?>" style="height: 120px; max-height: 120px; min-height: 120px;"><?php echo $item->note ?></textarea>
            </div>
            
            <div class="col-sm-3 control-group">
                <input type='text' name="peso" placeholder="<?php echo JText::_("COM_REDSTAMP_PESO") ?>" value="<?php echo $item->peso ?>" style="margin-bottom: 15px"/>
                <input type='text' name="volume" placeholder="<?php echo JText::_("COM_REDSTAMP_VOLUME") ?>" value="<?php echo $item->volume ?>" style="margin-bottom: 15px" />
                <input type='text' name="colli" placeholder="<?php echo JText::_("COM_REDSTAMP_COLLI") ?>" value="<?php echo $item->colli ?>" style="width: 100%;" />
            </div>
            <div class="col-sm-9 control-group">
                <input type='text' name="aspettoBeni" placeholder="<?php echo JText::_("COM_REDSTAMP_ASPETTOBENI") ?>" value="<?php echo $item->aspettoBeni ?>" style="margin-bottom: 15px"/>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <div class="col-sm-3 control-group">
                <input type='text' name="causale" class="required" placeholder="<?php echo JText::_("COM_REDSTAMP_CAUSALE_TRASPORTO") ?> *" value="<?php echo $item->causale ?>" />
            </div>
            <div class="col-sm-3 control-group">
                <select name="trasporto" class="required has-icon-left">
                    <option value="" <?php echo (!$item->trasporto ? "selected='selected'" : "") ?> disabled><?php echo JText::_("COM_REDSTAMP_TRASPORTO") ?> *</option>
                    <option value="1" <?php echo ($item->trasporto == 1 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_MITTENTE") ?></option>
                    <option value="2" <?php echo ($item->trasporto == 2 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_VETTORE") ?></option>
                    <option value="3" <?php echo ($item->trasporto == 3 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_DESTINATARIO") ?></option>
                </select>
            </div>
            <div class="col-sm-3 control-group">
                <input type='text' name="vettore" placeholder="<?php echo JText::_("COM_REDSTAMP_TRASPORTO_VETTORE") ?>" value="<?php echo $item->vettore ?>"/>
            </div>
            <div class="col-sm-3 control-group">
                <div class='input-group datetimepicker'>
                    <input type='text' class="required" name="dataRitiro" placeholder="<?php echo JText::_("COM_REDSTAMP_DATA_RITIRO") ?> *" value="<?php echo (strtotime($item->dataRitiro) ? date("d/m/Y", strtotime($item->dataRitiro)) : "") ?>"/>
                    <span class="input-group-addon">
                        <span class="fa fa-calendar"></span>
                    </span>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" name="idBolla" value="<?php echo $item->idBolla ?>"/>
    <input type="hidden" name="option" value="com_redstamp"/>
    <input type="hidden" name="task" value="bolle.save"/>
    <input type="hidden" name="format" value="raw"/>
    <style>
        section.items > div {padding-top: 15px;}
        section.items > div:first-of-type .btn-danger {display: none}
        section.items > div .btn-success {display: none}
        section.items > div:last-of-type .btn-success {display: inline}
        hr {margin-left: 15px; margin-right: 15px;}
    </style>
</form>
<script>
    jQuery(function ($) {
        $(".datetimepicker").datetimepicker({format: 'DD/MM/YYYY'});
    });
</script>