<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.controller');

class RedstampControllerAnagrafiche extends JControllerLegacy {

    public function getModel($name = '', $prefix = '', $config = array('ignore_request' => true)) {
        return parent::getModel($name, $prefix, $config);
    }

    public function save() {
        $input = JRequest::get('post');

        $db = JFactory::getDBO();

        $data = new stdClass();
        $data->ragioneSociale = $input['ragioneSociale'];
        $data->indirizzo = $input['indirizzo'];
        $data->comune = $input['comune'];
        $data->provincia = $input['provincia'];
        $data->pIVA = $input['pIVA'];
        $data->codiceFiscale = $input['codiceFiscale'];
        $data->iva = $input['iva'];
        $data->telefono = $input['telefono'];
        $data->telefono2 = $input['telefono2'];
        $data->cap = $input['cap'];
        $data->fax = $input['fax'];
        $data->email = $input['email'];

        if ($input['idAnagrafica']) {
            $data->idAnagrafica = $input['idAnagrafica'];
            $db->updateObject('#__redstamp_anagrafiche', $data, 'idAnagrafica');
        } else {
            $db->insertObject('#__redstamp_anagrafiche', $data, 'idAnagrafica');
            $input['idAnagrafica'] = $db->insertid();
        }

        $contatti = array();

        $query = $db->getQuery(true);
        $query = "DELETE FROM #__redstamp_contatti WHERE idAnagrafica = " . $input['idAnagrafica'];
        $db->setQuery($query);
        $db->query();

        foreach ($input['ctnome'] as $k => $contatto) {
            if ($contatto) {
                $data = new stdClass();
                $data->idAnagrafica = $input['idAnagrafica'];
                $data->nome = $contatto;
                $data->ufficio = $input['ctufficio'][$k];
                $data->telefono = $input['cttelefono'][$k];
                $data->email = $input['ctemail'][$k];
                $db->insertObject('#__redstamp_contatti', $data, 'idContatto');
            }
        }

        $indirizzi = array();

        $query = $db->getQuery(true);
        $query = "DELETE FROM #__redstamp_indirizzi WHERE idAnagrafica = " . $input['idAnagrafica'];
        $db->setQuery($query);
        $db->query();

        foreach ($input['adRagioneSociale'] as $k => $contatto) {
            if ($contatto) {
                $data = new stdClass();
                $data->idAnagrafica = $input['idAnagrafica'];
                $data->ragioneSociale = $contatto;
                $data->indirizzo = $input['adindirizzo'][$k];
                $data->comune = $input['adcomune'][$k];
                $data->cap = $input['adcap'][$k];
                $data->provincia = $input['adprovincia'][$k];
                $db->insertObject('#__redstamp_indirizzi', $data, 'idContatto');
            }
        }

       $query = $db->getQuery(true);
        $query = "DELETE FROM #__redstamp_datibancari WHERE idAnagrafica = " . $input['idAnagrafica'];
        $db->setQuery($query);
        $db->query();

        $data = new stdClass();
        $data->idAnagrafica = $input['idAnagrafica'];
        $data->intestazione = $input['intestazione'];
        $data->IBAN = $input['IBAN'];
        $data->banca = $input['banca'];

        $db->insertObject('#__redstamp_datibancari', $data, 'idBanca');

        JFactory::getApplication()->enqueueMessage(JText::_('COM_REDSTAMP_ANAGRAFICA_OK'), 'success');
        echo new JResponseJson(array("status" => true, "script" => "window.location.reload();"));
        JFactory::getApplication()->close();
    }

    public function remove() {
        $input = JRequest::getVar('idAnagrafica');

        $db = JFactory::getDBO();
        $query = $db->getQuery(true);

        $conditions = array(
            $db->quoteName('idAnagrafica') . ' = ' . $db->quote($input)
        );

        $query->delete($db->quoteName('#__redstamp_anagrafiche'));
        $query->where($conditions);

        $db->setQuery($query);

        if ($db->execute()) {
            JFactory::getApplication()->enqueueMessage(JText::_('COM_REDSTAMP_DELANAGRAFICA_OK'), 'success');
            echo new JResponseJson(array("status" => true));
        } else {
            JFactory::getApplication()->enqueueMessage(JText::_('COM_REDSTAMP_DELANAGRAFICA_KO'), 'error');
            echo new JResponseJson(array("status" => false));
        }
        JFactory::getApplication()->close();
    }

}
